import React__default from 'react';
import './wizardSteps.scss.js';
import SvgCheck from '../../assets/svgs/check.svg.js';
import ButtonBase from '../ButtonBase/index.js';

var Step = function Step(_ref) {
  var index = _ref.index,
      label = _ref.label,
      isActive = _ref.isActive,
      onTabSelected = _ref.onTabSelected,
      done = _ref.done;
  return /*#__PURE__*/React__default.createElement(ButtonBase, {
    onClick: function onClick() {
      return onTabSelected(index);
    },
    className: "Suc-step ".concat(isActive ? 'Suc-active' : ''),
    disabled: !done
  }, done ? /*#__PURE__*/React__default.createElement(SvgCheck, {
    className: "Suc-done-icon"
  }) : /*#__PURE__*/React__default.createElement("div", {
    className: "Suc-index"
  }, index), /*#__PURE__*/React__default.createElement("div", {
    className: "Suc-label"
  }, label));
};

var WizardSteps = function WizardSteps(_ref2) {
  var steps = _ref2.steps,
      currentStepIndex = _ref2.currentStepIndex,
      setStep = _ref2.setStep,
      _ref2$className = _ref2.className,
      className = _ref2$className === void 0 ? '' : _ref2$className;
  return /*#__PURE__*/React__default.createElement("div", {
    className: "Suc-wizard-steps ".concat(className)
  }, steps === null || steps === void 0 ? void 0 : steps.map(function (_ref3, index) {
    var label = _ref3.label,
        key = _ref3.key;
    var isDone = index < currentStepIndex;
    return /*#__PURE__*/React__default.createElement(Step, {
      key: key,
      done: isDone,
      onTabSelected: function onTabSelected() {
        return setStep(key);
      },
      isActive: index === currentStepIndex,
      label: label,
      index: index + 1
    });
  }));
};

export { WizardSteps as default };
//# sourceMappingURL=WizardSteps.js.map
